require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.组队剧情任务")
require("Script.函数.全局")
require("Script.函数.静态成员")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.组队剧情任务")
重新加载("Script.函数.全局")





function L加载配置()
	
	g常规设置.屏蔽不打的怪物=L常规配置("常规列表-通用设置-屏蔽不打的怪物")
	if	g常规设置.屏蔽不打的怪物==""	then 
		L屏蔽指定怪物(g屏蔽的怪物)
	else 
		L屏蔽指定怪物(g屏蔽的怪物..g常规设置.屏蔽不打的怪物)
	end
	g常规设置.进图等待时间=Ltonumber(L常规配置("常规列表-通用设置-进图等待时间"))


	g常规设置.剧情刷图=L常规配置("常规列表-练级设置-剧情刷图")

	g常规设置.剧情战斗方式=L常规配置("常规列表-通用设置-剧情战斗方式")

	g常规设置.仓库页最大读取页数=Ltonumber(L常规配置("常规列表-通用设置-仓库页最大读取页数"))

	g常规设置.公会仓库页最大读取页数=Ltonumber(L常规配置("常规列表-通用设置-公会仓库页最大读取页数"))
	
	g常规设置.购买知识卷轴=Ltonumber(L常规配置("常规列表-商店购物-购买知识卷轴"))
	if g常规设置.购买知识卷轴>40	then 
		g常规设置.购买知识卷轴=40
	end 
	g常规设置.不点丰碑=Ltonumber(L常规配置("常规列表-异界设置-不点丰碑"))


	g常规设置.自动换装=Ltonumber(L常规配置("常规列表-组合功能-自动换装"))

	L仓库页最大读取页数(g常规设置.仓库页最大读取页数)
	L公会仓库页最大读取页数(g常规设置.公会仓库页最大读取页数)

	L设置优先攻击对象("真菌火炮,送葬者,恐懼服侍,毒蟹之母,邪教女巫,真菌散播者,花魁,惡毒女巫,凱斯的第九寶藏,根淤,河之女巫,迷失狂熱者,乾燥巫妖,渴望狼人")--,死亡領主．伊克塔

	L设置爆炸物("VisibleServerGround",2)
	L清空躲避BOSS信息()
end


L加载配置()
local 返回一次藏身处=1
while	To(200)==1		do 
	local 地图Ptr=L地图信息()
	local 自身=L自身信息()
	local quset


	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		goto Next
	end
	if G当前等级==0		then 
		G当前等级=自身.等级
	end 


	if 地图Ptr.位置==1	 then
		if g常规设置.剧情战斗方式==G远程			then --
			L设置战斗方式(0)
			BOSS躲避距离=6
		else 
			L设置战斗方式()
			BOSS躲避距离=3
		end 
		if 自身.等级~=G当前等级		then 
			G当前等级=自身.等级
			G升级后商店查找装备=0
		end 
		if L执行间隔("20秒执行一次结束对话",20*1000)==1	then 
			if L可视UI(UI_可视偏移.UI打开NPC框)==1      then 
				L结束对话()
				LEsc()
			end
		end 
		
		L设置爆炸物("VisibleServerGroun",2)--Metadata/Effects/PermanentServerEffect  --ServerEffect
		L清空躲避BOSS信息()
		L暂停剧情探索(1)

		L自动换装(3)
		if g重置情况==0	then 
			D城镇重置状态()
			g重置情况=1
		end 
		local _城镇事件不处理=0
		if Fn_判断当前崎點是否可出去()==1		then 
			L信息("当前无法从内部起点出去...")
			_城镇事件不处理=1
		end 
		if _城镇事件不处理==0		then 


			if Fn_地图鉴定(地图Ptr)==1		then 
				L信息("鉴定物品...")
				goto Next
			end 



			if Q_领取城镇任务()==1		then 
				L信息("对话任务")
				goto Next
			end 
			if Fn_包满回城()==1		then 
				L信息("剧情城镇物品处理")
				g背包清理状态=0
			end 
			if	Fn_剧情城镇物品处理()==1			then --
				L信息("剧情城镇物品处理")
				goto Next
			end

			if Fn_购买知识卷轴()==1			then --
				goto Next
			end 


			if Fn_商店购买更好装备()==1			then --
				L信息("商店换装...")
				goto Next
			end 

			if Fn_商店赌博更好装备()==1			then --
				L信息("商店赌博换装...")
				goto Next
			end 

			if Fn_提升装备()==1			then --
				goto Next
			end 

			

			-- if L我是队长()==0			then --
			-- 	if Fn_剧情自动提升药剂()==1		then --
			-- 		L信息("正在前往商店购买生命药剂提升自身的药水品质")
			-- 		goto Next
			-- 	end 
			-- end 
			
			if Q_领取已完成任务奖励(地图Ptr.难度)==1			then --
				L信息("领取奖励")
				goto Next
			end	
		end

	elseif 地图Ptr.位置==3	 then
		if Fn_高塔开异界地图()==1 then
			
			goto Next
		end
	else 
		if 自身.金币<20000		then 
			G升级后商店查找装备=0
		end
		if 		g剧情完成==1			then --剧情完成后执行的切换
			D重置状态()
			L搜索路口()
			if	Fn_包满回城()==1			then --
				L信息("当前执行 => 背包满了选择回城")
				goto Next
			end 
			L异界是否完成()
			L祭坛商店购物()
			if FB_自动切换事件(地图Ptr.地图类名)==1			then -- --判断机关地图		
				goto Next
			end 
	
	
			if	g常规设置.不点丰碑<=0	and	Fn_点击不同对象事件()==1			then --
				--L设置探索地图(-1)
				goto Next
			end
	
			if	L地图是否完成()~=0	 		then -- 
				L信息("当前执行: => 地图探索完成...")
				if L祭坛商店购物(1)==1 then
					-- body
					L信息("正在处理祭坛购物....")
				elseif	L结束迷雾()==1	then 
					L信息("正在结束迷雾事件....")
				else 
				
					L返回城镇()
				end
			
				goto Next
			end
		else 
		
	
			g重置情况=0
			if	 Fn_包满回城()==1	or  (自身.等级~=G当前等级	and  自身.金币>1000  and  地图Ptr.地图名称~="瓦斯提里郊區"	and 地图Ptr.地图名称~="風沙沼澤"	and 地图Ptr.地图名称~=G河岸)		then --

	
				D重置状态()
				L设置探索地图(探索类型.暂停)
				L躲避开关(0)
				if g补等级中无需复活点回城==1 or Q_前往复活点回城()==1		then 
					L返回城镇()
				end
				if 自身.等级~=G当前等级			then --
					L信息("当前升级了...返回城镇看下商店装备")
				else 
					L信息("需要处理背包...")
				end 
			
				goto Next
			end
			
			if	L地图是否完成()~=0	then -- 
				if 	地图Ptr.地图名称~="瓦斯提里郊區"	and 地图Ptr.地图名称~="風沙沼澤"		then 
					L信息("当前执行: => 地图探索完成...")
					D重置状态()
					L设置探索地图(探索类型.暂停)
					L躲避开关(0)
					if g补等级中无需复活点回城==1 or Q_前往复活点回城()==1		then 
						L返回城镇()
					end
					goto Next
				end
			end
		end
	
	end

	if  Q练级地图("剧情练级一",地图Ptr)==1	then 
	
	elseif  Q练级地图("剧情练级二",地图Ptr)==1	then 	

	elseif  Q练级地图("剧情练级三",地图Ptr)==1	then 		
	
	elseif  Q练级地图("剧情练级四",地图Ptr)==1	then 	
		
	elseif  Q练级地图("剧情练级五",地图Ptr)==1	then 	
		
		
	end 
	
	L设置探索地图(2)
	
::Next::
	
end

